import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { CommodityChannelIndexIndicator } from "./CommodityChannelIndexIndicator";
/**
 * Represents a IgxDataChartComponent Commodity Channel Index indicator series.
 * Default required members: High, Low, Close
*/
export class IgrCommodityChannelIndexIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new CommodityChannelIndexIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current CCISeries object.
     * The typical, and initial, value for CCI periods is 20.
    */
    get period() {
        return this.i.qq;
    }
    set period(v) {
        this.i.qq = +v;
    }
}
